"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var app = require("tns-core-modules/application");
var authentication_1 = require("./authentication");
var user_1 = require("./user");
var _a = app.ios.delegate ? app.ios.delegate.prototype : {}, _b = _a.applicationDidFinishLaunchingWithOptions, applicationDidFinishLaunchingWithOptions = _b === void 0 ? function () { return true; } : _b, _c = _a.applicationOpenURLSourceApplicationAnnotation, applicationOpenURLSourceApplicationAnnotation = _c === void 0 ? function () { return true; } : _c, _d = _a.applicationDidBecomeActive, applicationDidBecomeActive = _d === void 0 ? function () { return true; } : _d;
var NewApplicationDelegate = (function (_super) {
    __extends(NewApplicationDelegate, _super);
    function NewApplicationDelegate() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    NewApplicationDelegate.prototype.applicationDidFinishLaunchingWithOptions = function (application, launchOptions) {
        var google = GIDSignIn.sharedInstance();
        google.delegate = GoogleLoginDelegate.new();
        var facebook = FBSDKApplicationDelegate.sharedInstance().applicationDidFinishLaunchingWithOptions(application, launchOptions);
        return (google ||
            facebook ||
            applicationDidFinishLaunchingWithOptions(application, launchOptions));
    };
    NewApplicationDelegate.prototype.applicationOpenURLSourceApplicationAnnotation = function (application, url, sourceApplication, annotation) {
        var facebook = FBSDKApplicationDelegate.sharedInstance().applicationOpenURLSourceApplicationAnnotation(application, url, sourceApplication, annotation);
        var google = GIDSignIn.sharedInstance().handleURLSourceApplicationAnnotation(url, sourceApplication, annotation);
        return (google ||
            facebook ||
            applicationOpenURLSourceApplicationAnnotation(application, url, sourceApplication, annotation));
    };
    NewApplicationDelegate.prototype.applicationDidBecomeActive = function () {
        applicationDidBecomeActive();
        FBSDKAppEvents.activateApp();
    };
    NewApplicationDelegate.ObjCProtocols = [UIApplicationDelegate];
    return NewApplicationDelegate;
}(UIResponder));
app.ios.delegate = NewApplicationDelegate;
var GoogleLoginDelegate = (function (_super) {
    __extends(GoogleLoginDelegate, _super);
    function GoogleLoginDelegate() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GoogleLoginDelegate.prototype.signInDidSignInForUserWithError = function (signIn, user, error) {
        var google = authentication_1.GoogleInstance();
        if (error) {
            google.errorCallback(error);
        }
        else {
            google.loginCallback(new user_1.default(user, 'google'));
        }
    };
    GoogleLoginDelegate.prototype.signInDidDisconnectWithUserWithError = function (signIn, user, error) {
        var google = authentication_1.GoogleInstance();
        if (error) {
            google.errorCallback(error);
        }
        else {
            google.logoutCallback();
        }
    };
    GoogleLoginDelegate.prototype.signInPresentViewController = function (signIn, viewController) { };
    GoogleLoginDelegate.prototype.signInDismissViewController = function (signIn, viewController) { };
    GoogleLoginDelegate.ObjCProtocols = [GIDSignInDelegate, GIDSignInUIDelegate];
    return GoogleLoginDelegate;
}(NSObject));
//# sourceMappingURL=configure-ios-delegate.ios.js.map