"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var view_1 = require("tns-core-modules/ui/core/view");
var LoginButton = (function (_super) {
    __extends(LoginButton, _super);
    function LoginButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    LoginButton.prototype.notifyError = function (error) {
        this.notify({
            eventName: 'error',
            object: this,
            error: error
        });
    };
    LoginButton.prototype.notifyLogin = function (user) {
        this.notify({
            eventName: 'login',
            object: this,
            user: user
        });
    };
    LoginButton.prototype.notifyLogout = function () {
        this.notify({ eventName: 'logout', object: this });
    };
    LoginButton.loginEvent = 'login';
    LoginButton.logoutEvent = 'logout';
    LoginButton.errorEvent = 'error';
    return LoginButton;
}(view_1.View));
exports.LoginButton = LoginButton;
//# sourceMappingURL=login-button.common.js.map